package com.ss.android.ugc.aweme.global.config.settings.pojo;

import X.C49504Ek;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class StarAtlasSetting {
    @c(LIZ = "star_atlas_enable")
    public Boolean starAtlasEnable;
    @c(LIZ = "star_atlas_redirect_url")
    public String starAtlasRedirectUrl;
    @c(LIZ = "star_atlas_url")
    public String starAtlasUrl;

    static {
        Covode.recordClassIndex(82900);
    }

    public Boolean getStarAtlasEnable() {
        Boolean bool = this.starAtlasEnable;
        if (bool != null) {
            return bool;
        }
        throw new C49504Ek();
    }

    public String getStarAtlasRedirectUrl() {
        String str = this.starAtlasRedirectUrl;
        if (str != null) {
            return str;
        }
        throw new C49504Ek();
    }

    public String getStarAtlasUrl() {
        String str = this.starAtlasUrl;
        if (str != null) {
            return str;
        }
        throw new C49504Ek();
    }
}
